### Hierarchy

- unknown
  - SwiftAccountPayload

## Index

### Constructors

- constructor

### Methods

- getBankAddress
- getBankBranch
- getBankCountryCode
- getBankName
- getBankSwiftCode
- getBeneficiaryAccountNr
- getBeneficiaryAddress
- getBeneficiaryCity
- getBeneficiaryName
- getBeneficiaryPhone
- getIntermediaryAddress
- getIntermediaryBranch
- getIntermediaryCountryCode
- getIntermediaryName
- getIntermediarySwiftCode
- getSpecialInstructions
- serializeBinary
- setBankAddress
- setBankBranch
- setBankCountryCode
- setBankName
- setBankSwiftCode
- setBeneficiaryAccountNr
- setBeneficiaryAddress
- setBeneficiaryCity
- setBeneficiaryName
- setBeneficiaryPhone
- setIntermediaryAddress
- setIntermediaryBranch
- setIntermediaryCountryCode
- setIntermediaryName
- setIntermediarySwiftCode
- setSpecialInstructions
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SwiftAccountPayload(): SwiftAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns SwiftAccountPayload

## Methods

### getBankAddress

- getBankAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:5827

  #### Returns string

### getBankBranch

- getBankBranch(): string

- - Defined in src/protobuf/pb_pb.d.ts:5824

  #### Returns string

### getBankCountryCode

- getBankCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:5818

  #### Returns string

### getBankName

- getBankName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5821

  #### Returns string

### getBankSwiftCode

- getBankSwiftCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:5815

  #### Returns string

### getBeneficiaryAccountNr

- getBeneficiaryAccountNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:5800

  #### Returns string

### getBeneficiaryAddress

- getBeneficiaryAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:5803

  #### Returns string

### getBeneficiaryCity

- getBeneficiaryCity(): string

- - Defined in src/protobuf/pb_pb.d.ts:5806

  #### Returns string

### getBeneficiaryName

- getBeneficiaryName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5797

  #### Returns string

### getBeneficiaryPhone

- getBeneficiaryPhone(): string

- - Defined in src/protobuf/pb_pb.d.ts:5809

  #### Returns string

### getIntermediaryAddress

- getIntermediaryAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:5842

  #### Returns string

### getIntermediaryBranch

- getIntermediaryBranch(): string

- - Defined in src/protobuf/pb_pb.d.ts:5839

  #### Returns string

### getIntermediaryCountryCode

- getIntermediaryCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:5833

  #### Returns string

### getIntermediaryName

- getIntermediaryName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5836

  #### Returns string

### getIntermediarySwiftCode

- getIntermediarySwiftCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:5830

  #### Returns string

### getSpecialInstructions

- getSpecialInstructions(): string

- - Defined in src/protobuf/pb_pb.d.ts:5812

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5845

  #### Returns Uint8Array

### setBankAddress

- setBankAddress(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5828

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBankBranch

- setBankBranch(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5825

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBankCountryCode

- setBankCountryCode(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5819

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBankName

- setBankName(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5822

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBankSwiftCode

- setBankSwiftCode(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5816

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBeneficiaryAccountNr

- setBeneficiaryAccountNr(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5801

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBeneficiaryAddress

- setBeneficiaryAddress(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5804

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBeneficiaryCity

- setBeneficiaryCity(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5807

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBeneficiaryName

- setBeneficiaryName(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5798

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setBeneficiaryPhone

- setBeneficiaryPhone(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5810

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setIntermediaryAddress

- setIntermediaryAddress(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5843

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setIntermediaryBranch

- setIntermediaryBranch(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5840

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setIntermediaryCountryCode

- setIntermediaryCountryCode(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5834

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setIntermediaryName

- setIntermediaryName(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5837

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setIntermediarySwiftCode

- setIntermediarySwiftCode(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5831

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### setSpecialInstructions

- setSpecialInstructions(value: string): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5813

  #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

### toObject

- toObject(includeInstance?: boolean): SwiftAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5846

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SwiftAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5849

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SwiftAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SwiftAccountPayload, reader: BinaryReader): SwiftAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5850

  #### Parameters

  - ##### message: SwiftAccountPayload

  - ##### reader: BinaryReader

  #### Returns SwiftAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SwiftAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5848

  #### Parameters

  - ##### message: SwiftAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SwiftAccountPayload ): SwiftAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5847

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SwiftAccountPayload

  #### Returns SwiftAccountPayload . AsObject

Generated using TypeDoc